package com.bcxin.message.common;

/**
 * description: 常量
 * author: linchunpeng
 * date:  2023-07-14 9:52
 */
public class CommonConstant {

    /**
     * 发送类型：机器人
     */
    public static final String MSG_SEND_TYPE_ROBOT = "robot";

    /**
     * 发送类型：频道
     */
    public static final String MSG_SEND_TYPE_CHANNEL = "channel";

    /**
     * 消息类型：文本
     */
    public static final String MSG_MESSAGE_TYPE_TEXT = "text";

    /**
     * 目标类型：用户
     */
    public static final String MSG_TARGET_TYPE_USER = "user";

    /**
     * 目标类型：群组
     */
    public static final String MSG_TARGET_TYPE_GROUP = "group";

    /**
     * 接口请求头部appid key
     */
    public static final String MSG_REQUEST_HEADER_APPID = "appid";

    /**
     * 接口请求头部secret key
     */
    public static final String MSG_REQUEST_HEADER_SECRET = "secret";

    /**
     * 接口请求id key
     */
    public static final String MSG_REQUEST_ID = "MSG_REQUEST_ID";

    /**
     * 接口请求参数 key
     */
    public static final String MSG_REQUEST_PARAM = "MSG_REQUEST_PARAM";

    /**
     * 发送消息策略key：频道-发送用户文本消息
     */
    public static final String CHANNEL_STRATEGY_KEY_SEND_USER_TEXT_MSG = "CHANNEL_STRATEGY_KEY_SEND_USER_TEXT_MSG";

    /**
     * 发送消息策略key：机器人-发送用户文本消息
     */
    public static final String ROBOT_STRATEGY_KEY_SEND_USER_TEXT_MSG = "ROBOT_STRATEGY_KEY_SEND_USER_TEXT_MSG";

    /**
     * 发送消息策略key：机器人-发送群组文本消息
     */
    public static final String ROBOT_STRATEGY_KEY_SEND_GROUP_TEXT_MSG = "ROBOT_STRATEGY_KEY_SEND_GROUP_TEXT_MSG";

}
